CEL: Crystal Entity Layer: iEnterSectorQuestTriggerFactory Struct Reference (CEL: Crystal Entity Layer Public API Reference)

| ## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iEnterSectorQuestTriggerFactory Struct Reference

This interface is implemented by the trigger that fires when a certain sector is entered. More...

`#include <tools/questmanager.h>`

List of all members.

## Public Member Functions
virtual void | SetEntityParameter (const char *entity, const char *tag=0)=0
| Set the name of the entity containing the pccamera or pcmesh property class on which this trigger will fire.
virtual void | SetSectorParameter (const char *sector)=0
| Set the name of the sector on which this trigger will fire as soon as the camera enters that sector.

## Detailed Description

This interface is implemented by the trigger that fires when a certain sector is entered.

You can query this interface from the trigger factory if you want to manually control this factory as opposed to loading its definition from an XML document.

The predefined name of this trigger type is 'cel.questtrigger.entersector' for the version that listens to camera changes and 'cel.questtrigger.meshentersector' for the version that listens to mesh changes.

In XML, factories recognize the following attributes on the 'fireon' node:

- entity: the name of the entity that contains the pccamera or pcmesh property class.
- entity_tag: optional tag used to find the right property class from the entity.
- sector: the name of the sector. As soon as the camera or mesh enters that sector this trigger will fire.

Definition at line 1010 of file questmanager.h.

## Member Function Documentation

virtual void iEnterSectorQuestTriggerFactory::SetEntityParameter | ( | const char * | entity,
|  | const char * | tag = `0`
| ) | `[pure virtual]`

  | Set the name of the entity containing the pccamera or pcmesh property class on which this trigger will fire. Parameters:
  | entity | is the name of the entity or a parameter (starts with '$').
  | tag | is the optional tag of the entity or a parameter (starts with '$').

virtual void iEnterSectorQuestTriggerFactory::SetSectorParameter | ( | const char * | sector | ) | `[pure virtual]`

  | Set the name of the sector on which this trigger will fire as soon as the camera enters that sector. Parameters:
  | sector | is the name of the entity or a parameter (starts with '$').

The documentation for this struct was generated from the following file:

- tools/questmanager.h